=== debian/changelog ===
elpy (1.23.0-1) unstable; urgency=medium

  * New upstream version.
  * Build and install info page.
  * Declare Standards-Version: 4.2.0
    - §12.7, Install NEWS.rst as NEWS.
  * Add "Local Variables" footer to NEWS so that it opens in ReST mode.
  * Compress README.rst with gzip before installing.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 08 Aug 2018 17:48:06 -0400

elpy (1.22.0-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream version.
  * Add 0002-Disable-tests-for-black-code-formatter.patch
    - Debian does not yet provide a package for Black, "the uncompromising
      Python code formatter" (https://github.com/ambv/black).
    - Disable these tests until there is something to test.
  * Rename 0001-Disable-failing-tests.patch to
        -> 0001-Disable-test-shell-send-region-or-buffer.patch

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 03 Jul 2018 14:39:24 -0400

elpy (1.21.0-1) unstable; urgency=medium

  * New upstream version.
  * Cleanup elpy.egg-info files to allow consecutive dpkg-buildpackage runs
    to succeed from the unpacked source package. (Closes: #898205)
  * Begin switch from python-autopep8 to python3-autopep8:
    - Update elpa-elpy's Suggests to reflect this change.
    - Add python3-autopep8 to Build-Depends.
    - Python-autopep8 cannot yet be dropped from Build-Depends, because
      self-tests do not yet seem to be Python 3-only ready.  At present
      it is automatically installed when a user installs python3-autopep8,
      because python3-autopep8 Recommends its Python 2 variant.
      See Bug #899212 for progress on Elpy's transition to depending
      exclusively on Python 3 libraries.
  * Update Maintainer team name and email address.
  * Change section from lisp to devel, because Elpy is an integrated
    development environment and devel is the correct section for IDEs.
    In addition to correctness, this change makes elpy more discoverable to
    users.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 27 May 2018 12:26:40 -0400

elpy (1.20.0-1) unstable; urgency=medium

  * Initial release. (Closes: #825980, #861174)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 27 Apr 2018 14:17:35 -0400
