=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME = elpy
LC_ALL := C.UTF-8
export LC_ALL

%:
	dh $@ --with elpa,python3,sphinxdoc --buildsystem=pybuild

# docs are not generated without this override
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bman docs/ build/man # Manpage generator
	PYTHONPATH=. sphinx-build -N -btexinfo docs/ build/info
	makeinfo --no-split build/info/Elpy.texi -o build/info/elpy.info
	cat NEWS.rst debian/local-var-snippet > build/NEWS
	gzip -9 < README.rst > build/README.rst.gz
