## elpy 1.28.0

=== requirements.txt ===
flake8==3.5.0
jedi==0.12.1
rope==0.11.0
autopep8==1.4
yapf==0.23.0
