=== debian/changelog ===
elpy (1.28.0-2) unstable; urgency=medium

  * debian/rules: Disable DH_VERBOSE.
  * Use sphinx to generate documentation in html format, and use
    debian/docs to install it.
    (Closes: #928633)
  * Add libjs-sphinxdoc to Recommends.  This package's html doc search page
    fails gracefully with "Please activate JavaScript to enable the search
    functionality" if a user chooses not to install libjs-sphinxdoc.
  * debian/README.Debian: Make explicit how Debian's Elpy package does
    not ship with support for Python 2. (Closes: #927084)
  * debian/control: Clarify comment explaining why the Python 2 package
    python-autopep8 is a build dependency.
  * Add 0002-Add-a-quickstart-section-to-the-documentation-1598.patch
    (Closes: #927085)
  * Add 0004-Enable-elpy-mode-in-python-buffer-when-enabling-Elpy.patch,
    and its prerequisite 0003-Make-sure-we-cannot-load-Elpy-twice.patch.
    Also add 0005-Fix-typo.patch, which is a fixup for the 0003-* patch.
    See DEP-3 headers of patches for more information. (Closes: #926326)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 29 May 2019 18:05:30 -0400

elpy (1.28.0-1) unstable; urgency=medium

  * New upstream version.
  * Rework several sections of README.Debian to be more concise and clear.
  * debian/control: Add "Rules-Requires-Root: no"
  * Update my copyright year range.
  * debian/elpa-test:
    - No longer exclude elpy-news-test.el, which was removed upstream.
    - Re-enable tests from elpy-promise-wait-test.el now that the Python 3.7
      transition is complete.
  * Declare Standards-Version: 4.3.0. (no additional changes required)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 05 Jan 2019 17:13:12 -0500

elpy (1.26.0-1) unstable; urgency=medium

  * New upstream version.
  * Drop 0002-Handle-sphinx-warnings-linked-to-indexnode.patch.
    (merged upstream)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 27 Nov 2018 19:45:22 -0500

elpy (1.25.0-1) unstable; urgency=medium

  * New upstream version.
  * Upstream no longer distributes NEWS.rst
    - debian/rules: Drop build/NEWS generation.
    - Drop debian/local-var-snippet which was only used in NEWS.
    - debian/docs: do not install build/NEWS.
    - debian/elpa-test: Do not run test for elpy-news-should-insert-file,
      because it depends on NEWS.rst, which was dropped upstream.
  * Support 'nodoc' build profile
    - debian/control: Add <!nodoc> to python3-sphinx and texinfo build deps.
    - debian/rules: Only attempt to generate documentation when nodoc is
      not present in DEB_BUILD_PROFILES.
    - debian/rules: Workaround Bug #908078, because dh_sphinxdoc does not
      yet detect when "nodoc" is active and --with sphinxdoc will fail when
      python3-sphinx is not installed.
  * Add lintian-override for wrong-section-according-to-package-name, because
    section "devel" is most appropriate for an IDE for Python development
    when that IDE is implemented in Emacs Lisp.
  * debian/rules: Fix typo.
  * Enable support for Black, the uncompromising Python code formatter, now
    that it has been added to the Debian archive.
    - debian/control: Add black to Build-Depends and Suggests.
    - Drop debian/patches/0002-Disable-tests-for-black-code-formatter.patch.
  * Import upstream 0002-Handle-sphinx-warnings-linked-to-indexnode.patch
    This patch fixes numerous warnings of "4 column based index found" when
    building.
  * Fix sentence fragment in long description.
  * debian/elpa-test: Temporarily disable
    elpy-promise-wait-should-return-early-for-resolved and related tests
    in elpy-promise-wait-test.el.  This test passes 100% of the time with
    python3.6=3.6.6-1 and python3.7=3.7.1~rc1-1 and fails ~40% of the time
    with python3.6=3.6.7~rc1-1.  Issue has been forwarded upstream.  Tests
    involving Elpy "promises" will be reenabled after the Python 3.7
    transition. (Closes: #910311)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 12 Oct 2018 18:16:00 -0400

elpy (1.24.0-1) unstable; urgency=medium

  * New upstream version.
  * Revert "Compress README.rst with gzip before installing" because
    README.rst is only 2.8k and dh_compress already does the right thing
    automatically; that is to say, README.rst is not "larger than 4k in
    size" (dh_compress(1)) and should not be compressed.
  * Exclusively use Python 3 dependencies and configure the use of
    /usr/bin/python3 by default. (Closes: #899212)
  * debian/README.Debian:  Document how Python 2 support is not enabled
    in this Debian package.
  * debian/debian-autoloads.el:
    - Add Debian-specific configuration to default to using Python 3.
    - Document this customisation in README.Debian along with instructions
      on how to revert this when moving between Python 2 and Python 3
      virtualenvs.
    - Additionally unset Elpy's custom PYTHONPATH, which is not needed in
      packages that use dh-python.  Previously Elpy unnecessarily searched
      site-lisp/elpa/elpy-1.23.0 for its associated Python modules.
  * debian/control:
    - Drop python2 dependencies which are no longer needed
      for self-tests to pass.
    - Put ELPA build-dep section before Python one (more alphabetical).
    - Move python3-sphinx build dependency to the section for documentation.
    - Add python3-jupyter-console to Suggests.  The upstream Elpy project
      recommends using Jupyter console for interactive Python.
    - Rely on ${elpa:Depends} and drop explicitly declared ones in bin:pkg.
    - Rely on ${python3:Depends} to generate dependency on python3-flake8.
    - Add build and runtime dependency on flake8, which provides
      /usr/bin/flake8.  This wrapper script is still used in various places,
      and it is part of the flake8 package provided by PyPI/pip.
  * Declare Standards-Version: 4.2.1. (No additional changes required)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 03 Sep 2018 20:08:24 -0400
