=== debian/control ===
Source: elpy
Section: devel
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper (>= 11~)
             , dh-elpa
             , dh-python
             , elpa-company <!nocheck>
             , elpa-find-file-in-project <!nocheck>
             , elpa-highlight-indentation <!nocheck>
             , elpa-pyvenv <!nocheck>
             , elpa-yasnippet <!nocheck>
             , elpa-s <!nocheck>
             , elpa-dash <!nocheck>
             , elpa-f <!nocheck>
             , python3-all
             , python3-setuptools
             , python3-flake8
             , flake8
             , python3-jedi
             , python3-autopep8 <!nocheck>
# python-autopep8 still seems to be needed for self-tests to pass.
# See the 1.21.0-1 debian/changelog entry on this topic for more info.
             , python-autopep8 <!nocheck>
             , yapf3
             , python3-mock <!nocheck>
             , python3-nose <!nocheck>
             , python3-pip <!nocheck>
             , black <!nocheck>
             , python3-sphinx <!nodoc>
             , texinfo <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/elpy
Vcs-Git: https://salsa.debian.org/emacsen-team/elpy.git
Homepage: https://elpy.readthedocs.io/en/latest/index.html
Testsuite: autopkgtest-pkg-elpa

Package: elpa-elpy
Architecture: all
Depends: ${elpa:Depends}
       , ${python3:Depends}
       , ${misc:Depends}
       , flake8
Recommends: emacs (>= 46.0)
          , python3-jedi
          , libjs-sphinxdoc
Suggests: python3-autopep8
        , yapf3
        , black
        , python3-pip
        , python3-jupyter-console
Enhances: emacs
        , emacs25
Description: Emacs Python Development Environment
 The Emacs Lisp Python Environment in Emacs
 .
 Elpy is an Emacs package that brings powerful Python editing to
 Emacs.  It combines a number of existing Emacs packages, and is
 written in Emacs Lisp as well as Python.
 .
 Features:
   * Navigation by code indentation and code definition.
   * Move the current region as a code block.
   * Treat a working tree as a coherent project; search for files,
     code, or text within the project.
   * Interact with Python interpreters and test runners.
   * Browse the Python built-in documentation.
   * Refactor code and symbols.
