=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = elpy
LC_ALL := C.UTF-8
export LC_ALL

%:
ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	echo -e "\nnodoc profile enabled, building without sphinxdoc..\n"
	dh $@ --with elpa,python3 --buildsystem=pybuild
else
	dh $@ --with elpa,python3,sphinxdoc --buildsystem=pybuild
endif

# docs are not generated without this override
override_dh_auto_build:
	dh_auto_build
# support the nodoc build profile
ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	echo -e "\nnodoc build profile enabled, therefore not building docs.\n"
else
	PYTHONPATH=. sphinx-build -N -bman docs/ build/man
	PYTHONPATH=. sphinx-build -N -btexinfo docs/ build/info
	makeinfo --no-split build/info/Elpy.texi -o build/info/elpy.info
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html
endif
