## elpy 1.29.1+40.gb929013

=== requirements.txt ===
flake8==3.7.7
jedi==0.14.0
rope==0.14.0
autopep8==1.4.4
yapf==0.27.0
