=== debian/changelog ===
elpy (1.29.1+40.gb929013-1) unstable; urgency=medium

  * Package upstream snapshot.
  * Drop all patches that were merged upstream:
    0002-Add-a-quickstart-section-to-the-documentation-1598.patch
    0003-Make-sure-we-cannot-load-Elpy-twice.patch
    0004-Enable-elpy-mode-in-python-buffer-when-enabling-Elpy.patch
    0005-Fix-typo.patch
  * Register HTML documentation with doc-base.
  * Add a tip to README.Debian about how to trigger elpy-enable only for
    buffers that would use python-mode, instead of unconditionally running
    it during Emacs init.
  * debian/elpa-test: Set elpa-rpc-timeout to double it's default value to
    defend against timing-related self-test failures on DebCI.
  * Add 0002-Double-max-wait-in-elpy-wait-for-output-self-test.patch to
    double the amount of time we wait-for-output during self-tests.
  * Switch to debhelper-compat 12.
  * Declare Standards-Version: 4.4.0 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 25 Jul 2019 22:20:27 -0400
