=== debian/changelog ===
elpy (1.32.0-2) unstable; urgency=medium

  [ Salman Mohammadi ]
  * add Suggests: elpa-flycheck because this package can be used as
    an alternative to flymake which is the default on-the-fly syntax checker.
  * rules: disable internet access while building sphinx documentation.
    According to Debian Policy §4.9, packages may not attempt network access
    during the build.

  [ Nicholas D Steeves ]
  * control: Replace tab on ipython3 line with spaces.
  * Add Recommends: elpa-find-file-in-project.  It was previously
    installed via ${elpa:Depends} as an upstream-defined (hard)
    dependency.  Ffip was made somewhat optional in Elpy v1.32.0, and if
    upstream did not depend on it in their Cask and start-clean-elpy.el
    files then this would be more of a Suggests.  Ffip works out-of-the-box
    and does not require configuration, and has been well tested, which is
    why it is the primary candidate.  'elpy-find-file' emits an error if
    neither this package nor Projectile are found, and enabling this
    functionality enhances the IDE experience for most users, thus
    Recommends and not Suggests. (Closes: #948567, #948569)
  * Add elpa-projectile to Recommends as an alternative back-end for
    'elpy-find-file'.  Users who wish to avoid installing elpa-ivy may
    choose this alternative; however, Projectile may require configuration
    to work properly.  Unlike ffip, Projectile does not appear in upstream's
    Cask file, but there are ERT tests for its functionality.
  * Add elpa-projectile to Build-Depends to activate these tests.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 16 Feb 2020 16:55:58 -0500

elpy (1.32.0-1) unstable; urgency=medium

  [ Salman Mohammadi ]
  * d/control: add python3-sphinx-rtd-theme as a build dependency

  [ Nicholas D Steeves ]
  * Add missing newline to patch series.
  * Add ${sphinxdoc:Depends} to elpa-elpy's Depends.  This installs the
    rtd-theme, which must be a Depends and not a Recommends.  This will also
    install libjs-sphinxdoc as a hard dep, so drop it from Recommends.
  * New upstream release.
  * Rebase patch series onto upstream 1.32.0.
  * Drop 0002-Add-script-to-benchmark-tests.patch which is a commit that
    is present in this release.
  * ert-helper.el: Upstream fixed bugs in scripts/elpy-test-benchmark.el
    which were causing tests to fail due to an unclean test environment,
    so it became possible to drop the (prog1 FIRST BODY) form that was
    used to run tests first.  Also, this means it became possible to move
    (ert-run-tests-batch-and-exit) to the position of the final expression,
    which is what dh-elpa requires.  See Bug #941330 for more info.
  * debian-autoloads.el: Set elpy-rpc-virtualenv-path to "'system".
    Upstream has moved to a default where everything is installed to a
    virtualenv using pip, which is incompatible with Debian Policy.  This
    configuration key restores the previous behaviour of using system
    Python packages by default.
  * rules: Activate ELPY_TEST_DONT_USE_VIRTUALENV, because self-tests and
    autopkgtests test virtualenv creation using pip rather than the
    package as-installed, even when elpy-rpc-virtualenv-path is set to
    "'system".
  * The change above doesn't solve to autopkgtest case, and using
    ert-helper.el doesn't work, so add
    0005-test-helper.el-uniquivocally-set-elpy-test-dont-use-.patch.  It
    is unclear whether this is an upstream bug or a dh-elpa bug.
  * debian-autoloads.el: Add "-E" to python-shell-interpreter args, to
    "Ignore environment variables like PYTHONPATH and PYTHONHOME that
    modify the behavior of the interpreter." (man python3(1)).
  * Disable the execution of benchmarks from ert-runner.el (which is
    called from dh-elpa).  See comment in ert-runner.el for rationale.  It
    is unclear whether these fail due to an upstream Elpy, Emacs, or
    dh-elpa bug.  See https://github.com/jorgenschaefer/elpy/issues/1724
    for more info.  Help would be appreciated!

  [ Salman Mohammadi and Nicholas D Steeves ]
  * Add 0004-docs-conf.py-build-the-documentation-using-sphinx_rt.patch to
    build the documentation using the sphinx_rtd_theme.
  * d/control: Change python3-jupyter-console Suggests to jupyter-console,
    because python3-jupyter-console does not provide
    /usr/bin/jupyter-console, which Elpy requires in order to use this
    functionality.
  * d/control: Add ipython3 to Suggests, but not as an alternative to
    jupyter-console.  IPython can also be configured to be used with Elpy
    as an interactive Python shell.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 09 Jan 2020 16:22:02 -0700

elpy (1.31.0-1) unstable; urgency=medium

  * New upstream version.
  * Add Upstream-Contact to copyright file.
  * Add 0002-Add-script-to-benchmark-tests.patch.  It was cherry picked
    from upstream.
  * Move 0002-Double-max-wait-in-elpy-wait-for-output-self-test.patch to the
    end of the series, and rebase it on the previous patch.
  * Move as much as possible of debian/elpa-test's ert_eval expression to
    debian/ert-helper.el, run ert-run-tests-batch elpy-test-benchmark.el
    in strict order, and return the result of ert-run-tests-batch.
  * Drop elpy/* from autopkgtest_keep.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 14 Sep 2019 19:35:28 -0400

elpy (1.29.1+65.g8adc427-1) unstable; urgency=medium

  * Package new upstream snapshot.
    Elpy should now be ready for the Python 2 removal.
  * Drop build-dep on python3-flake8, because flake8's deps now provide it.
  * Drop emacs25 from Enhances, because it's now just a dummy package.
  * Drop python-autopep8 from build-deps; it is no longer needed for self-tests.
  * Switch from using "sphinx-build" to new explicit "python3 -m sphinx" method.
  * ReST files are already installed to /usr/share/doc/elpa-elpy/html/_sources
    so it makes sense to make them more visible and discoverable with links to

