=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
              , elpa-company <!nocheck>
              , elpa-find-file-in-project <!nocheck>
              , elpa-highlight-indentation <!nocheck>
+             , elpa-projectile <!nocheck>
              , elpa-pyvenv <!nocheck>
              , elpa-yasnippet <!nocheck>
              , elpa-s <!nocheck>
@@ -16,19 +17,16 @@
              , elpa-f <!nocheck>
              , python3-all
              , python3-setuptools
-             , python3-flake8
              , flake8
              , python3-jedi
              , python3-autopep8 <!nocheck>
-# python-autopep8 still seems to be needed for self-tests to pass.
-# See the 1.21.0-1 debian/changelog entry on this topic for more info.
-             , python-autopep8 <!nocheck>
              , yapf3
              , python3-mock <!nocheck>
              , python3-nose <!nocheck>
              , python3-pip <!nocheck>
              , black <!nocheck>
              , python3-sphinx <!nodoc>
+	     , python3-sphinx-rtd-theme <!nodoc>
              , texinfo <!nodoc>
 Rules-Requires-Root: no
 Standards-Version: 4.4.0
@@ -41,18 +39,21 @@
 Architecture: all
 Depends: ${elpa:Depends}
        , ${python3:Depends}
+       , ${sphinxdoc:Depends}
        , ${misc:Depends}
        , flake8
 Recommends: emacs (>= 46.0)
           , python3-jedi
-          , libjs-sphinxdoc
+          , elpa-find-file-in-project | elpa-projectile
 Suggests: python3-autopep8
         , yapf3
         , black
         , python3-pip
-        , python3-jupyter-console
+        , jupyter-console
+        , ipython3
+        , elpa-flycheck
+        , elpa-pip-requirements
 Enhances: emacs
-        , emacs25
 Description: Emacs Python Development Environment
  The Emacs Lisp Python Environment in Emacs
  .
