=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/elpy-$1.tar.gz/" \
    https://github.com/jorgenschaefer/elpy/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
