## elpy 1.34.0

=== debian/changelog ===
elpy (1.34.0-2) unstable; urgency=medium

  * Add 0006-docs-migrate-away-from-functions-removed-in-Sphinx-3.patch
    to fix FTBFS with Sphinx 3.1.1 (Closes: #963647).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 30 Jun 2020 08:33:30 -0400

elpy (1.34.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase quilt series onto this release.
  * Drop 0006-Fix-a-fatal-typo-in-elpy-format-code.patch (merged upstream).
  * Switch to debhelper-compat 13.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 28 May 2020 17:26:03 -0400

elpy (1.33.0-2) unstable; urgency=medium

  * Add 0006-Fix-a-fatal-typo-in-elpy-format-code.patch, a commit cherry
    picked from upstream that resolves a fatal error in elpy-format-code.
    Thanks to Paul Martin for filing an excellent Debian bug on the topic,
    and for providing a link to the upstream commit. (Closes: #959053)
  * Declare Standards-Version: 4.5.0 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 28 Apr 2020 19:42:51 -0400

elpy (1.33.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch series onto upstream 1.33.0.
  * Add pyprof2calltree to Suggests.  Pyprof2calltree converts cProfile
    data into a format that is consumable by kcachegrind and qcachegrind for
    graphical calltree analysis.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 09 Apr 2020 20:35:40 -0400
