=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
              , dh-elpa
              , dh-python
              , elpa-company <!nocheck>
@@ -29,7 +29,7 @@
 	     , python3-sphinx-rtd-theme <!nodoc>
              , texinfo <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/elpy
 Vcs-Git: https://salsa.debian.org/emacsen-team/elpy.git
 Homepage: https://elpy.readthedocs.io/en/latest/index.html
@@ -53,6 +53,7 @@
         , ipython3
         , elpa-flycheck
         , elpa-pip-requirements
+        , pyprof2calltree
 Enhances: emacs
 Description: Emacs Python Development Environment
  The Emacs Lisp Python Environment in Emacs
